EXPARNA_P(1)

NAME
exparna_p - manual page for exparna_p (LocARNA 1.9.2.3)

DESCRIPTION
exparna_p: fast exact structure local matching of RNAs.

USAGE: ../../src/exparna_p [options] <Input 1> <Input 2> exparna_p performs pairwise matching and folding, i.e. it determines exactly matching local favourable sub-structures that can be simulataneously formed in the input RNAs.

  Input

Input consists of two sequences or alignments, which are specified in fasta, clustal, stockholm, or LocARNA pp format. Optionally, one can specify structure and anchor constraints in these input files.

  Output

The program enumerates exactly matching local substructures (exact pattern matches = EPMs) and optionally chains them. It returns lists of chained and unchained matches, visualizations of the results and anchor constraints for alignment.

OPTIONS

-h,--help

    Help

-V,--version

    Version info

-v,--verbose

    Verbose

-q,--quiet

    Quiet

  Scoring parameters:

--no-stacking

    Do not use stacking terms (otherwise needs stacking probs by RNAfold -p2)

--alpha_1=<factor>(1)

    Multiplier for sequential score

--alpha_2=<factor>(5)

    Multiplier for structural score

--alpha_3=<factor>(5)

    Multiplier for stacking score, 0 means no stacking contribution

--struct-mismatch-score=<score>(-10)

    Score for a structural mismatch (nucleotide mismatch in an arcmatch)

  Heuristics for speed accuracy trade off:

-p,--min-prob=<prob>(0.01)

    Minimal probability

--max-bps-length-ratio=<factor>(0.0)

    Maximal ratio of #base pairs divided by sequence length (default: no effect)

--max-uil-length-ratio=<factor>(0.0)

    Maximal ratio of #unpaired bases in loops divided by sequence length (default: no effect)

--max-bpil-length-ratio=<factor>(0.0)

    Maximal ratio of #base pairs in loops divided by loop length (default: no effect)

-D,--max-diff-am=<diff>(30)

    Maximal difference for sizes of matched arcs

-d,--max-diff=<diff>(-1)

    Maximal difference for alignment traces

--max-diff-at-am=<diff>(-1)

    Maximal difference for alignment traces, only at arc match positions

--prob_unpaired_in_loop_threshold=<prob>(0.01)

    Threshold for prob_unpaired_in_loop

--prob_basepair_in_loop_threshold=<prob>(0.01)

    Threshold for prob_basepair_in_loop

  Output:

-p,--out-min-prob=<prob>(0.0005)

    Minimal probability for output (min-prob overrides if smaller)

--output-ps

    Output best EPM chain as colored postscript

-a,--PS_fileA=<file>()

    Postscript output file for sequence A

-b,--PS_fileB=<file>()

    Postscript output file for sequence B

-o,--output-locarna=<file>()

    Fasta file with anchor constraints for locarna

--output-anchor-pp=<fileroot>()

    PP files <fileroot>_A.pp and <fileroot>_B.pp, merging input PPs and anchor constraints from chaining

--output-clustal=<file>()

    Write file with chain as alignment in clustalw format

--output-epm-list=<file>()

    A list of all found epms

--output-chained-epm-list=<file>()

    A list of all EPMs that are present in the chain

--inexact-struct-match

    Allow inexact structure matches

--add-filter

    Apply an additional filter to enumerate only EPMs that are maximally extended (only inexact)

--no-chaining

    Do not use the chaining algorithm to find best overall chain

  Suboptimal traceback:

--subopt

    Use the suboptimal traceback

--diff-to-opt-score=<threshold>(-1)

    Threshold for suboptimal traceback

--min-score=<score>(90)

    Minimal score of a traced EPM

--number-of-EPMs=<threshold>(100)

    Maximal number of EPMs for the suboptimal traceback

  Constraints:

--noLP

    use --noLP option for folding

--maxBPspan=<span>(-1)

    Limit maximum base pair span (default=off)

--relaxed-anchors

    Relax anchor constraints (default=off)

  Miscellaneous:

--stopwatch

    Print run time information.

  Input files:

    The two input files <Input 1> and <Input 2> specify the input sequences in various, automatically detected formats. Accepted formats are: Fasta, Clustal, Stockholm LocARNA PP, ViennaRNA postscript dotplot. Unless in-loop

    probabilities are provided (only possible in LocARNA PP),

base pair
    probabilities are computed by partition function folding.

    Clustal, Stockholm, and PP input can contain constraints.

EXAMPLES
Essentially exparna_p is called in the same way as locarna and the other pairwise alignemnt tools of the package. Please refer to their documentation. Note that exparna is usually called with single sequences rather than alignments.

AVAILABILITY
The latest LocARNA package release is available online at

    http://www.bioinf.uni-freiburg.de/Software/LocARNA/ and at Github https://github.com/s-will/LocARNA

COPYING (LICENSE)
Copyright 2005- Christina Otto, Sebastian Will The LocARNA package is released under GNU Public License v3.0

REFERENCES
Christina Otto, Mathias Mohl, Steffen Heyne, Mika Amit, Gad M. Landau, Rolf Backofen, and Sebastian Will. ExpaRNA-P: simultaneous exact pattern matching and folding of RNAs. BMC Bioinformatics, 15:404, 2014. DOI: 10.1186/s12859-014-0404-0

AUTHOR
This man page is written and maintained by Sebastian Will it is part of the LocARNA package. The exparna_p tool and the library classes for strong ensemble-based sparsification were written by Christina Otto.

REPORTING BUGS
Report bugs to <schmiedc (at) informatik.uni-freiburg.de>.

SEE ALSO
The LocARNA PP 2.0 format is described online at

  http://www.bioinf.uni-freiburg.de/Software/LocARNA/PP/